export default class HttpsOnlyWidget extends Component<any, any, any> {
    constructor(props: any);
    state: {
        status: string;
    };
    checkHttps(): void;
    componentDidMount(): void;
    componentDidUpdate(prevProps: any): void;
    render(): import("react/jsx-runtime").JSX.Element;
}
import { Component } from "react";
